> ## Documentation Index
> Fetch the complete documentation index at: https://velocity-api-docs.medshift.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update rep



## OpenAPI

````yaml /openapi.json patch /v1/reps/{id}/
openapi: 3.0.3
info:
  title: Velocity for BigCommerce Zapier API
  version: 0.0.1
servers:
  - url: https://{tenant}.api.velocity.medshift.com/integrations/zapier
    variables:
      tenant:
        default: your-subdomain
        description: Your tenant's subdomain.
security: []
paths:
  /v1/reps/{id}/:
    patch:
      tags:
        - Reps
      summary: Update rep
      operationId: v1_reps_partial_update
      parameters:
        - in: path
          name: id
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchedRep'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Rep'
          description: ''
      security:
        - ZapierAuthentication: []
components:
  schemas:
    PatchedRep:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        identifier:
          type: string
          minLength: 1
          description: Must be unique.
          maxLength: 30
        name:
          type: string
          minLength: 1
          maxLength: 100
        email:
          oneOf:
            - type: string
              format: email
              default: ''
            - type: string
              maxLength: 0
        custom_fields:
          type: array
          items:
            $ref: '#/components/schemas/RepCustomField'
    Rep:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        identifier:
          type: string
          minLength: 1
          description: Must be unique.
          maxLength: 30
        name:
          type: string
          minLength: 1
          maxLength: 100
        email:
          oneOf:
            - type: string
              format: email
              default: ''
            - type: string
              maxLength: 0
        custom_fields:
          type: array
          items:
            $ref: '#/components/schemas/RepCustomField'
      required:
        - custom_fields
        - id
        - identifier
        - name
    RepCustomField:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
          readOnly: true
        value:
          nullable: true
      required:
        - id
        - name
        - value
  securitySchemes:
    ZapierAuthentication:
      type: apiKey
      in: header
      name: X-API-Key

````